Always redirect wikidata.org to www.wikidata.org
Closed, ResolvedPublic

Description

When users are on wikidata.org (w/o the www.), they've had problems with being able to edit stuff.

Not sure what/if anything can be done in the code itself to alleviate this, but think it's more likely and helpful to adjust the apache and other configs to get it *right*.


Version: wmf-deployment
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=44612
https://bugzilla.wikimedia.org/show_bug.cgi?id=41847
https://bugzilla.wikimedia.org/show_bug.cgi?id=49261
https://bugzilla.wikimedia.org/show_bug.cgi?id=54273

bzimport added a project: Wikidata.org.Via ConduitNov 22 2014, 1:27 AM
bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz45005.
aude created this task.Via LegacyFeb 14 2013, 3:51 PM
aude added a comment.Via ConduitFeb 14 2013, 4:57 PM
Nemo_bis added a comment.Via ConduitFeb 23 2013, 8:37 PM

(In reply to comment #0)

When users are on wikidata.org (w/o the www.), they've had problems with
being
able to edit stuff.

http://lists.wikimedia.org/pipermail/wikitech-l/2013-February/066764.html says it also happens with the fake language subdomains.

MZMcBride added a comment.Via ConduitFeb 24 2013, 4:47 AM

Dupe of bug 41847?

MZMcBride added a comment.Via ConduitFeb 24 2013, 4:50 AM

Also related: bug 44612.

Lydia_Pintscher added a comment.Via ConduitMar 3 2013, 10:48 PM

How is this different from bug 41847?

Abraham added a comment.Via ConduitMar 6 2013, 5:11 PM

As discussed we will close this bug (Verified in Wikidata demo sprint 34)

MZMcBride added a comment.Via ConduitMar 6 2013, 11:08 PM

Re-opening this bug for now as I'm confused. The bug summary is "Always redirect wikidata.org to www.wikidata.org".

When I go to http://wikidata.org/wiki/Wikidata:Main_Page, I am not redirected to www.wikidata.org.

And the Gerrit changeset from comment 1 has not been merged (or abandoned).

Aklapper added a comment.Via ConduitMar 14 2013, 6:10 PM

$:andre\> wget wikidata.org
--2013-03-14 19:08:07-- http://wikidata.org/
Resolving wikidata.org... 208.80.152.218
Connecting to wikidata.org|208.80.152.218|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: http://www.wikidata.org/wiki/Wikidata:Main_Page [following]
--2013-03-14 19:08:11-- http://www.wikidata.org/wiki/Wikidata:Main_Page
Resolving www.wikidata.org... 208.80.154.242, 2620:0:861:ed1a::12
Connecting to www.wikidata.org|208.80.154.242|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 51884 (51K) [text/html]
Saving to: “Wikidata:Main_Page”
100%[===================================================================================================>] 51,884 5.36K/s in 9.4s
2013-03-14 19:08:27 (5.36 KB/s) - “Wikidata:Main_Page” saved [51884/51884]

$:andre\> wget http://wikidata.org/wiki/Wikidata:Main_Page
--2013-03-14 19:09:04-- http://wikidata.org/wiki/Wikidata:Main_Page
Resolving wikidata.org... 208.80.152.218
Connecting to wikidata.org|208.80.152.218|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 51787 (51K) [text/html]
Saving to: “Wikidata:Main_Page.1”
100%[===================================================================================================>] 51,787 16.6K/s in 3.0s
2013-03-14 19:09:11 (16.6 KB/s) - “Wikidata:Main_Page.1” saved [51787/51787]

Dzahn added a comment.Via ConduitMar 14 2013, 6:15 PM

fyi, this (and other Apache config / redirects) does not need ops (root). Everybody can submit a gerrit change and for deploying it you can also do it as regular shell user again, since we just fixed apache-graceful-all the other day, so that it also restarts Apaches in eqiad now.

Dzahn added a comment.Via ConduitMar 14 2013, 6:17 PM

how to check the config:

git clone https://gerrit.wikimedia.org/r/p/operations/apache-config

cd apache-config

grep wikidata *

aude added a comment.Via ConduitMar 15 2013, 10:36 AM

Daniel: https://gerrit.wikimedia.org/r/#/c/49069/

it's intended to treat wikidata like mediawiki.org, as far as apache config goes, although would like your review that my patch is good or suggestions.

aude added a comment.Via ConduitMar 21 2013, 8:51 AM

It's not the best solution but might help, per https://bugzilla.wikimedia.org/show_bug.cgi?id=41847#c30

https://gerrit.wikimedia.org/r/#/c/55024/

We really need someone to review the apache change and get it fixed the *right* way.

Lydia_Pintscher added a comment.Via ConduitMar 29 2013, 8:59 PM
  • Bug 44707 has been marked as a duplicate of this bug. ***
jeremyb added a comment.Via ConduitApr 17 2013, 1:53 PM

So, what's the latest intention here?

certain:
301 wikidata.org -> www.wikidata.org

what about (fake?) lang subdomains? redirect as well? 301 or 302?

Denny added a comment.Via ConduitApr 17 2013, 2:02 PM

302 {langcode}.wikidata.org/wiki/{Title} -> www.wikidata.org/wiki/Special:ItemByTitle/{langcode}wiki/{Title} would be awesome!

jeblad added a comment.Via ConduitApr 17 2013, 2:07 PM

Wouldn't the expected behavior be something like

302 {langcode}.wikidata.org/wiki/{Title} ->
www.wikidata.org/wiki/{Title}?setlang={langcode}

This is although troublesome in those cases where Wikipedia do weird and unexpected things with the langcode, but that is also the case if the ItemByTitle is used.

gerritbot added a comment.Via ConduitApr 19 2013, 6:26 AM

https://gerrit.wikimedia.org/r/49069 (Gerrit Change I7bb872fd9cf6c1da7655f77def7f3ce43975218a) | change APPROVED and MERGED [by Tim Starling]

gerritbot added a comment.Via ConduitFeb 18 2014, 3:55 PM

Change 113972 had a related patch set uploaded by Thiemo Mättig (WMDE):
Redirect all *.wikidata.org subdomains to www.wikidata.org

https://gerrit.wikimedia.org/r/113972

gerritbot added a comment.Via ConduitMar 17 2014, 12:00 PM

Change 119032 had a related patch set uploaded by Faidon Liambotis:
Remove language subdomains for wikidata.org

https://gerrit.wikimedia.org/r/119032

gerritbot added a comment.Via ConduitMar 28 2014, 9:34 AM

Change 119032 merged by Faidon Liambotis:
Remove language subdomains for wikidata.org

https://gerrit.wikimedia.org/r/119032

gerritbot added a comment.Via ConduitMar 28 2014, 11:54 AM

Change 113972 abandoned by Thiemo Mättig (WMDE):
Redirect all *.wikidata.org subdomains to www.wikidata.org

https://gerrit.wikimedia.org/r/113972

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.